<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/online_panel.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\OTPI;

class OtpiPanel {
    private static $instance = NULL;
    private static $locale = [];
    private $sqlOnline = NULL;
    public $settings = [];

    public function __construct() {
        include_once OTPI_CLASS."templates/onlinetime.tpl.php";
        $this->settings = get_settings("online_time_panel");
        $this->sqlOnline = new OtpiSql();
        self::$locale = fusion_get_locale("", OTPI_LOCALE);
    }

    public static function getInstance() {
        if (self::$instance === NULL) {
            self::$instance = new static();
        }
        return self::$instance;
    }

    public function PanelOnline() {
        $result = dbquery($this->sqlOnline->getStatQuery(['condition' => "user_online != 0", 'order' => 'user_online DESC', 'limit' => (int)$this->settings['online_limit']]));
        $info['limit'] = $this->settings['online_limit'];
        if (dbrows($result)) {
            while ($data = dbarray($result)) {
                $data['lastvisit'] = (time() - $data['user_lastvisit']);
                $info['stat'][] = $data;
            }
        }

        displayOnlineTime($info);
    }

    public function SaveOnline() {
    	$userdata = fusion_get_userdata();
        $uotime = $userdata['user_lastvisit'] == 0 ? 0 : time() - $userdata['user_lastvisit'];
        $savetime = $userdata['user_online'] + $uotime;
        if ($uotime <= $this->settings['online_time']) {
            dbquery("UPDATE ".DB_USERS." SET user_online = :useronline WHERE user_id = :userid", [':useronline' => $savetime, ':userid' => $userdata['user_id']]);
        }
    }

    public function BestofOnline() {
        $max_rows = dbcount("(user_id)", DB_USERS, "user_online != 0".(multilang_table("OTPI") ? ' AND '.in_group('user_language', LANGUAGE) : ''));
        $rowstart = get_rowstart("rowstart", $max_rows);
        $limit = $this->settings['online_page'];

        $result = dbquery($this->sqlOnline->getStatQuery(['condition' => "user_online != 0", 'order' => 'user_online DESC', 'limit' => "$rowstart, $limit"]));
        $info = [];

        if (dbrows($result)) {
            while ($data = dbarray($result)) {
                $info[] = $data;
            }
        }

        $info = [
            'statall'   => $info,
            'pagenav'   => makepagenav($rowstart, $limit, $max_rows, 3)
        ];
        DisplayStat($info);
    }

}
